!!****if* source/Simulation/SimulationMain/magnetoHD/AnisotropicConductivityTest/Simulation_init
!!
!! NAME
!!
!!  Simulation_init
!!
!!
!! SYNOPSIS
!!
!!  Simulation_init(integer(in) :: myPE)
!!
!! ARGUMENTS
!!
!!   myPE -           current processor number
!!
!! DESCRIPTION
!!
!!  Initializes all the data specified in Simulation_data.
!!  It calls RuntimeParameters_get rotuine for initialization.
!!
!!***

subroutine Simulation_init(myPE)

  use Simulation_data
  use RuntimeParameters_interface, ONLY : RuntimeParameters_get
  implicit none

#include "constants.h"
#include "Flash.h"

  integer, intent(in) :: myPE

  call RuntimeParameters_get('gamma',   sim_gamma)
  call RuntimeParameters_get('killdivb',sim_killdivb)
  call RuntimeParameters_get('smallp',  sim_smallP)

  call RuntimeParameters_get('xmin',    sim_xMin)
  call RuntimeParameters_get('ymin',    sim_yMin)
  call RuntimeParameters_get('zmin',    sim_zMin)
  call RuntimeParameters_get('xmax',    sim_xMax)
  call RuntimeParameters_get('ymax',    sim_yMax)
  call RuntimeParameters_get('zmax',    sim_zMax)
  call RuntimeParameters_get('xCtr',    sim_xCtr)
  call RuntimeParameters_get('yCtr',    sim_yCtr)
  call RuntimeParameters_get('zCtr',    sim_zCtr)

  call RuntimeParameters_get('Az0',     sim_Az0)
  call RuntimeParameters_get('Bradius', sim_Bradius)
  call RuntimeParameters_get('Bwidth',  sim_Bwidth)
  call RuntimeParameters_get('Bx0',     sim_Bx0)
  call RuntimeParameters_get('By0',     sim_By0)
  call RuntimeParameters_get('Bz0',     sim_Bz0)
  call RuntimeParameters_get('Tbkgd',   sim_Tbkgd)
  call RuntimeParameters_get('Tpeak',   sim_Tpeak)
  call RuntimeParameters_get('Twidth',  sim_Twidth)
  call RuntimeParameters_get('dTdx0',   sim_dTdx0)
  call RuntimeParameters_get('dTdy0',   sim_dTdy0)
  call RuntimeParameters_get('dTdz0',   sim_dTdz0)

  sim_gCell = .true.
  
end subroutine Simulation_init
