!!***h* source/physics/Hydro/HydroMain/unsplit/UHD.h
!!
!! This is the internal header file for the Unsplit MHD/Hydro units.
!!
!!***

#define DIR_X 1
#define DIR_Y 2
#define DIR_Z 3


#define MINMOD  1
#define MC      2
#define HYBRID  3
#define VANLEER 4
#define LIMITED 5

#define HARTEN      1
#define HARTENHYMAN 2

#define UPDATE_INTERIOR 1
#define UPDATE_BOUND    2
#define UPDATE_ALL      3

#define FWDCONVERT 1
#define BWDCONVERT 2

!! FOR UNSPLIT MHD IMPLEMENTATION ---------------
#ifdef FLASH_USM_MHD

#define INJECTION_PROL 1
#define BALSARA_PROL   2

#define ROE   1
#define LLF   2
#define HLL   3
#define HLLC  4
#define HLLD  5
#define MARQ  6
#define MMAR  7
#define HLL7  8


#ifdef CURX_VAR
#define HY_NEED_EXTRA_GCFILL
#endif

#ifdef CURY_VAR
#define HY_NEED_EXTRA_GCFILL
#endif

#ifdef CURZ_VAR
#define HY_NEED_EXTRA_GCFILL
#endif

#ifdef DIVV_VAR
#define HY_NEED_EXTRA_GCFILL
#endif

!! PRIMITIVE VARIABLES FOR MHD
#define HY_DENS 1
#define HY_VELX 2
#define HY_VELY 3
#define HY_VELZ 4
#define HY_PRES 5
#define HY_MAGX 6
#define HY_MAGY 7
#define HY_MAGZ 8
#define HY_GAMC 9
#define HY_GAME 10
#define HY_GRAV 11
#define HY_EINT 11
#define HY_TEMP 12
#define HY_ABAR 13
#define HY_ZBAR 14

!! CONSERVATIVE VARIABLES FOR MHD
#define HY_XMOM 2
#define HY_YMOM 3
#define HY_ZMOM 4
#define HY_ENER 5
#define HY_MAGX 6
#define HY_MAGY 7
#define HY_MAGZ 8

!! FLUX VARIABLES FOR PURE MHD
#define HY_DENS_FLUX 1
#define HY_XMOM_FLUX 2
#define HY_YMOM_FLUX 3
#define HY_ZMOM_FLUX 4
#define HY_ENER_FLUX 5
#define HY_MAGX_FLUX 6
#define HY_MAGY_FLUX 7
#define HY_MAGZ_FLUX 8
#define HY_EINT_FLUX 9
#define HY_PRES_FLUX 10

!! WAVE STRUCTURES FOR MHD
#define HY_FASTLEFT 1
#define HY_ALFNLEFT 2
#define HY_SLOWLEFT 3
#define HY_ENTROPY  4
#define HY_SLOWRGHT 5
#define HY_ALFNRGHT 6
#define HY_FASTRGHT 7

!! EXTRA PARAMETERS FOR PURE HYDRO
#define HY_VARINUM HY_MAGZ
#define HY_SCRATCH_NUM 10

!! TRANSPORT COEFFICIENTS FOR MHD
#define HY_PI0      1
#define HY_PI1      2
#define HY_PI2      3
#define HY_PI3      4
#define HY_PI4      5
#define HY_K_PARA   6
#define HY_K_PERP   7
#define HY_K_CARET  8
#define HY_ETA_PARA 9
#define HY_ETA_PERP 10
#define HY_ETA_HALL 11
#define HY_TRANSCOEFF_NUM HY_ETA_HALL

#else
!! FOR UNSPLIT HYDRO IMPLEMENTATION -------------

#define ROE   1
#define LLF   2
#define HLL   3
#define HLLC  4
#define MARQ  5
#define MMAR  6
#define HYBR  7

!! PRIMITIVE VARIABLES FOR PURE HYDRO
#define HY_DENS 1
#define HY_VELX 2
#define HY_VELY 3
#define HY_VELZ 4
#define HY_PRES 5
#define HY_GAMC 6
#define HY_GAME 7
#define HY_GRAV 8
#define HY_EINT 8
#define HY_TEMP 9
#define HY_ABAR 10
#define HY_ZBAR 11

!! CONSERVATIVE VARIABLES FOR PURE HYDRO
#define HY_XMOM 2
#define HY_YMOM 3
#define HY_ZMOM 4
#define HY_ENER 5

!! FLUX VARIABLES FOR PURE HYDRO
#define HY_DENS_FLUX 1
#define HY_XMOM_FLUX 2
#define HY_YMOM_FLUX 3
#define HY_ZMOM_FLUX 4
#define HY_ENER_FLUX 5
#define HY_EINT_FLUX 6
#define HY_PRES_FLUX 7

!! WAVE STRUCTURES FOR PURE HYDRO
#define HY_FASTLEFT 1
#define HY_SLOWLEFT 2
#define HY_ENTROPY  3
#define HY_SLOWRGHT 4
#define HY_FASTRGHT 5

!! EXTRA PARAMETERS FOR PURE HYDRO
#define HY_VARINUM HY_PRES
#define HY_SCRATCH_NUM 7


#endif


!! DEFINE TOTAL NUMBERS OF VARIABLES AND WAVES
#define HY_WAVENUM HY_FASTRGHT
#define HY_VARINUM2 HY_VARINUM+2
#define HY_VARINUM3 HY_VARINUM+3
#define HY_VARINUM4 HY_VARINUM+4
